### Method

# Hex Document delete_data

#### Declaration

    void
    hex_document_delete_data (
      HexDocument* doc,
      gint64 offset,
      size_t len,
      gboolean undoable
    )

#### Description

Delete data at `offset` of `length` within the buffer.

#### Parameters

`offset`

  Type: `gint64`

  Offset in bytes within the payload.

`len`

  Type: `size_t`

  Length in bytes of the data to be set.

`undoable`

  Type: `gboolean`

  Whether the operation should be undoable.